<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetNextRevision Method (IEdmVersion5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVersion5 Interface : GetNextRevision Method (IEdmVersion5)

Visual Basic
C#
C++/CLI

poPos
  IEdmPos5; position of the next revision in the list

Gets the next revision set on this version in an enumeration.

# Syntax

Visual Basic |
--- | ---

    Function GetNextRevision( _
       ByVal poPos As IEdmPos5 _
    ) As IEdmRevision5

C# |
--- | ---

    IEdmRevision5 GetNextRevision(
       IEdmPos5 poPos
    )

C++/CLI |
--- | ---

    IEdmRevision5^ GetNextRevision(
    &   IEdmPos5^ poPos
    )

#### Parameters

poPos
  IEdmPos5; position of the next revision in the list

#### Return Value

IEdmRevision5

# Example

Get Revision Names for Local Version of File (C#)
Get Revision Names for Local Version of File (VB.NET)

# Remarks

Before calling this method the first time, you must populate poPos with the interface to the position of the first revision in the list, IEdmPos5. Call IEdmVersion5::GetFirstRevisionPosition to obtain poPos.

After calling this method the first time, poPos is automatically incremented every time it is called. Call this method repeatedly to obtain the rest of the revisions in the list.

Be sure to call IEdmPos5::IsNull before you call this method to ensure you have not reached the end of the enumeration.

C++ users not using smart-pointer wrapper functions must release the returned interface, IEdmRevision5.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmVersion5 Interface
IEdmVersion5 Members
IEdmVersion5::HasRevision Property ()

# Availability

SOLIDWORKS PDM Professional Version 5.2